%define piname	weather_routing_pi

Name:		opencpn-weather-routing-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.10.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin creates optimized weather routes using isochrone method and
predictive grib data or averaged gridded Climate data based upon constraint
settings, start and finish information and boat performance calculated using
boat specs or polar data.
Use the Grib Plugin and recently downloaded grib files for completing grib
predictive routing (1-8 days).
Use the Climatology Plugin to find cruising routes, (most useful in prevailing
winds areas)
Use both grib and climatology data, allowing the grib's route to be extended
past time/range, or to use current data if the grib does not contain it, or to
use climatology to avoid areas of cyclones.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 1.10.1-1pclos2017
- new version

